<?xml version="1.0"?>
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>
      TextGrid : XML Editor
    </title>
    <link rel="stylesheet" href="styles/site.css" type="text/css"/>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  </head>
  <body class="theme-default aui-theme-default">
    <div id="page">
      <div id="main" class="aui-page-panel">
        <div id="main-header">
          <div id="breadcrumb-section">
            <ol id="breadcrumbs">
              <li class="first">
                <span><a href="index.html">TextGrid</a></span>
              </li>
              <li>
                <span><a href="User-Manual-2.0_7439056.html">User Manual 2.0</a></span>
              </li>
              <li>
                <span><a href="General-Object-Editing_7440089.html">General Object Editing</a></span>
              </li>
            </ol>
          </div>
          <h1 id="title-heading" class="pagetitle">
            <span id="title-text">TextGrid : XML Editor</span>
          </h1>
        </div>
        <div id="content" class="view">
          <div class="page-metadata">
            Created by <span class="author">Philipp Vanscheidt</span>, last modified on Jun 24, 2013
          </div>
          <div id="main-content" class="wiki-content group">
            <p class="noindent">
              The XML Editor is an interactive tool for editing XML documents and for creating new data or annotating text in XML. XML is a markup language, which means that XML can work outside the world wide web and sets the meaning of the elements and (optionally) their presentation. XML is able to organize and classify data in a text. Therefore, XML is able to facilitate the exchange of data and information as well as to make it searchable. For more information about XML, please see
            </p>
            <p class="noindent">
              <a class="external-link" href="http://www.w3.org/XML/" rel="nofollow"><span class="cmtt-10x-x-109">http://www.w3.org/XML/</span></a>
            </p>
            <p class="noindent">
              TextGrid’s XML Editor is based on the “Eclipse Web Tools Platform Project” and “Vex” by John Krasnay et. al.. For more information, please see
            </p>
            <p class="noindent">
              <a class="external-link" href="http://www.eclipse.org/webtools" rel="nofollow"><span class="cmtt-10x-x-109">http://www.eclipse.org/webtools</span></a> and <a class="external-link" href="http://wiki.eclipse.org/Vex" rel="nofollow"><span class="cmtt-10x-x-109">http://wiki.eclipse.org/Vex</span></a>
            </p>
            <p class="noindent">
              <span class="external-link"> </span>Please note that this Editor is still part of the TextGrid Lab, so you will be able to choose between the default XML Editor and the customized TextGrid XML Editor. This is important if the Preferences should be changed or a XML object is opened via the context menu of the <a href="Navigator_7439188.html">Navigator</a>.
            </p>
            <p class="stmary-10x-x-109">
              The TextGrid <span class="confluence-link">Help</span> explains the <a href="XML-Editor-Perspective_7439322.html">TextGrid XML Editor Perspective</a> and its parts in detail and provides several examples for <a href="Using-the-XML-Editor_7439355.html">using the XML Editor</a>.
            </p>
            <div class="noprint">
              <p class="noindent"/>
              <ul class="childpages-macro">
                <li>
                  <a href="Open-the-XML-Editor_7439320.html" rel="nofollow">Open the XML Editor</a>
                </li>
                <li>
                  <a href="XML-Editor-Perspective_7439322.html" rel="nofollow">XML Editor Perspective</a>
                </li>
                <li>
                  <a href="Editor-Field_7439334.html" rel="nofollow">Editor Field</a>
                </li>
                <li>
                  <a href="Outline-View_7439342.html" rel="nofollow">Outline View</a>
                </li>
                <li>
                  <a href="Properties-View_7439349.html" rel="nofollow">Properties View</a>
                </li>
                <li>
                  <a href="Using-the-XML-Editor_7439355.html" rel="nofollow">Using the XML Editor</a>
                </li>
                <li>
                  <a href="Interaction-of-the-XML-Editor-with-Other-Components_7439363.html" rel="nofollow">Interaction of the XML Editor with Other Components</a>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </div>
      <div id="footer" role="contentinfo">
        <section class="footer-body">
          
          <div id="footer-logo">
            <a href="http://www.atlassian.com/">Atlassian</a>
          </div>
        </section>
      </div>
    </div>
  </body>
</html>
